# $Revision: 1.63 $, $Date: 2008-02-17 01:24:10 $
Summary:	OpenGL Utility Toolkit (GLUT)
Summary(pl.UTF-8):	OpenGL Utility Toolkit (GLUT) - toolkit graficzny do używania z OpenGL
Name:		glut
Version:	3.7
Release:	19
License:	distributable
Group:		Libraries
Source0:	http://www.opengl.org/resources/libraries/glut/%{name}-%{version}.tar.gz
# Source0-md5:	dc932666e2a1c8a0b148a4c32d111ef3
Patch0:		%{name}-examples-paths.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-lib64.patch
URL:		http://www.opengl.org/resources/libraries/glut.html
BuildRequires:	/bin/csh
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	xorg-cf-files >= 1.0.1-0.3
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-util-gccmakedep
BuildRequires:	xorg-util-imake
Requires:	OpenGL
Provides:	OpenGL-glut = %{version}
Obsoletes:	Mesa-glut
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
A 3-D graphics library which uses the OpenGL API.

%description -l pl.UTF-8
Biblioteka graficzna 3D używająca API z OpenGL.

%package devel
Summary:	GLUT Development environment
Summary(pl.UTF-8):	Środowisko programistyczne GLUT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Provides:	OpenGL-glut-devel = %{version}
Obsoletes:	Mesa-glut-devel

%description devel
Header files needed for development aplications using GLUT library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki GLUT.

%package static
Summary:	GLUT Static libraries
Summary(pl.UTF-8):	Biblioteki statyczne do biblioteki GLUT
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	OpenGL-glut-static = %{version}
Obsoletes:	Mesa-glut-static

%description static
The static version of the GLUT library.

%description static -l pl.UTF-8
Biblioteki statyczne dla biblioteki GLUT.

%package examples
Summary:	GLUT demonstration programs
Summary(pl.UTF-8):	GLUT programy demonstracyjne
Group:		Development/Libraries

%description examples
Sample programs.

%description examples -l pl.UTF-8
Przykładowe programy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if "%{_lib}" == "lib64"
%patch2 -p1
%endif

%build
rm -f Glut.cf
cp -f linux/Glut.cf .
./mkmkfiles.imake

rm -f lib/glut/Makefile
cp -f linux/Makefile lib/glut

%{__make} -C lib/glut depend
%{__make} -C lib/glut \
	"BOOTSTRAPCFLAGS=%{rpmcflags} -fPIC" \
	"CDEBUGFLAGS=" \
	"CCOPTIONS=%{rpmcflags} -fPIC" \
	"CXXDEBUGFLAGS=" \
	"CXXOPTIONS=%{rpmcflags} -fPIC"

#make libglsmap.a
%{__make} -C lib/glsmap \
	"BOOTSTRAPCFLAGS=%{rpmcflags}" \
	"CDEBUGFLAGS=" \
	"CCOPTIONS=%{rpmcflags}" \
	"CXXDEBUGFLAGS=" \
	"CXXOPTIONS=%{rpmcflags}"

#make libmui.a
%{__make} -C lib/mui \
	"BOOTSTRAPCFLAGS=%{rpmcflags}" \
	"CDEBUGFLAGS=" \
	"CCOPTIONS=%{rpmcflags}" \
	"CXXDEBUGFLAGS=" \
	"CXXOPTIONS=%{rpmcflags}"

#prepare to make manuals
cd man
sed s/gle// Imakefile > Imakefile.tmp
mv -f Imakefile.tmp Imakefile
xmkmf
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man3,%{_includedir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install lib/glut/libglut.so.*.* $RPM_BUILD_ROOT%{_libdir}
ln -sf libglut.so.3 $RPM_BUILD_ROOT%{_libdir}/libglut.so

(cd $RPM_BUILD_ROOT%{_libdir} ; /sbin/ldconfig -n .)

install lib/*/lib*.a $RPM_BUILD_ROOT%{_libdir}

rm -f include/GL/tube.h
cp -rp include/* $RPM_BUILD_ROOT%{_includedir}

#installing examples...
cd progs
find . -name Makefile.win -o -name Makefile.sgi -o -name Makefile.bak | xargs rm -f
cp -rp * $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NOTICE CHANGES FAQ.glut README README.{fortran,glut2,glut3,man,mui,xinput}
%attr(755,root,root) %{_libdir}/libglut.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libglut.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglut.so
%{_includedir}/GL/glut.h
# Fortran GL/GLU/GLUT interface
%{_includedir}/GL/fgl.h
%{_includedir}/GL/fglu.h
%{_includedir}/GL/fglut.h
# other extensions
%{_includedir}/GL/glsmap.h
%{_includedir}/mui

%files static
%defattr(644,root,root,755)
%{_libdir}/libglsmap.a
%{_libdir}/libmui.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glut.spec,v $
Revision 1.63  2008-02-17 01:24:10  qboosh
- removed man pages from -devel (moved to OpenGL-doc-man, common for all GL impls)
- release 19

Revision 1.62  2008-02-16 21:07:45  qboosh
- more verbose files, moved base docs to base
- removed PostScript specs (glut-3.spec.ps.gz):
  "No part of this documentation may be reproduced, in any form or by any means,
   without permission in writing from the author."
  Anyway it was unpackaged in binary rpm

Revision 1.61  2007-09-05 16:03:57  baggins
- rel 18
- fixed soname symlinks

Revision 1.60  2007/09/05 15:56:39  baggins
- rel 17
- ghost libglut.so.3

Revision 1.59  2007/09/05 13:19:40  baggins
- rel 16

Revision 1.58  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.57  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.56  2006/04/17 11:23:08  pluto
- BR: xorg-cf-files >= 1.0.1-0.3 for fixed X11.tmpl.

Revision 1.55  2006/04/16 21:12:02  megabajt
- rel 15 for fixed lib64 and link patches

Revision 1.54  2006/04/15 21:21:25  qboosh
- updated all patches to kill /usr/X11R6

Revision 1.53  2006/04/15 13:47:37  megabajt
- modular xorg deps

Revision 1.52  2006/04/03 16:37:45  wolf
- rel 14

Revision 1.51  2006/03/17 20:51:16  qboosh
- added OpenGL-glut* Provides set

Revision 1.50  2005/10/31 09:01:40  qboosh
- it's freely distributable, but not GPL or Public Domain - fixed License
- release 13

Revision 1.49  2005/05/11 13:43:38  qboosh
- more general lib64 if

Revision 1.48  2004/11/03 15:37:28  areq
< %{_libdir}/lib*.so
> %{_libdir}/libglut.so

Revision 1.47  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.46  2004/05/28 17:34:47  qboosh
- added non-bogus pl summary, strict internal deps

Revision 1.45  2004/05/27 17:52:16  wolf
- removed bogus pl summary

Revision 1.44  2004/03/13 11:19:48  mmazur
- GL libs go into /usr not /usr/X11

Revision 1.43  2004/02/15 14:11:34  undefine
- release 11

Revision 1.42  2004/01/06 18:21:22  adgor
- devel subpkg no longer conflicts with nvidia libGL

Revision 1.41  2004/01/06 13:13:55  jajcus
- fixed what qboosh broke

Revision 1.40  2004/01/02 17:25:11  jajcus
- Release: 10 (STBR after AMD64 fixes)

Revision 1.39  2003/12/29 19:14:34  qboosh
- updated URLs, killed subshells

Revision 1.38  2003/12/29 17:42:46  jajcus
- lib64 patch for AMD64 build

Revision 1.37  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.36  2003/07/24 09:21:01  pascalek
- devel subpackage conflicts with XFree86-driver-nvidia
  becouse of unresolved symbols during linking glut programs

Revision 1.35  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.34  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.33  2003/05/25 05:48:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/08 15:07:37  qboosh
- typo

Revision 1.31  2003/02/14 07:53:38  adgor
- Back to apropriate prefix

Revision 1.30  2003/01/22 13:34:46  trojan
- updated source URLs

Revision 1.29  2003/01/18 22:48:36  juandon
- removed two lines with define

Revision 1.28  2002/12/26 19:52:02  adgor
- BR /bin/csh

Revision 1.27  2002/11/27 20:15:39  juandon
- new %%doc

Revision 1.26  2002/04/25 16:25:13  arturs
fixed a small typo

Revision 1.25  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:13:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/10/20 16:50:16  qboosh
- release 9: fixed libglut.so linking (link with used libraries)

Revision 1.21  2001/08/21 17:48:45  roman
- reverting last changes

Revision 1.20  2001/08/20 23:11:59  roman
- changed OpenGL-devel to XFree86-OpenGL-devel
- commented out Requires: OpenGL
- STBR

Revision 1.19  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.18  2001/04/05 16:06:52  qboosh
- using %%rpmcflags macro
- base package Requires OpenGL, -devel Requires OpenGL-devel
- removed gle - now it's in separate package (gle.spec)
- release 8

Revision 1.17  2001/03/12 22:09:11  kloczek
- release 7,
- fxed typo in %install.

Revision 1.16  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.15  2001/01/19 10:48:05  kloczek
- release 6: make spec %%{debug} ready.

Revision 1.14  2000/12/29 14:02:44  kloczek
- release 5: use new rpm automation.

Revision 1.13  2000/12/27 22:36:28  kloczek
- adapterized.

Revision 1.12  2000/11/14 13:16:41  zagrodzki
- release 4

Revision 1.11  2000/06/26 17:24:43  baggins
- really use RPM_OPT_FLAGS

Revision 1.10  2000/06/21 10:47:58  cieciwa
- added libglut.so to devel package.

Revision 1.9  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.7  2000/04/21 05:00:12  kloczek
- release 3.

Revision 1.6  2000/04/20 06:45:35  cieciwa
- changed BuildRequires:
		from Mesa-devel to OpenGL-devel.

Revision 1.5  2000/04/07 10:21:23  kloczek
- removed pdf %doc and merged doc package to devel,
- added stripping shared libraries,
- added using $RPM_OPT_FALGS during compile,
- simplifications and cosmetics.

Revision 1.4  2000/04/07 08:13:34  cieciwa
- fixed %%description.

Revision 1.3  2000/04/05 10:49:37  cieciwa
- release 2,
- rename package demos to examples,
- copy demo source to /usr/src/examples/glut directory,
- NOT fixed %%description !!.

Revision 1.2  2000/04/05 08:49:28  cieciwa
- some fixes,
- added more package.

Revision 1.1  2000/04/05 06:46:39  cieciwa
- initial spec.

* Thu Oct  7 1999 Wojciech "Sas" Cięciwa <cieciwa@alpha.zarz.agh.edu.pl>
-Build RPM.
